# Making symlinks from date directories to latitude directories
#  and assembling all directional maps to a single pdf for the latitude

mkdir latitudes

LC_ALL="C"

Ye=2020

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 
  
#   for D in \
#Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06


for MoDa in \
01-20 \
02-18 \
03-19 \
04-18 \
05-18 \
06-17 \
07-16 \
08-14 \
09-13 \
10-12 \
11-11 \
12-10

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

 
#   for C in Ori Leo Cet Crux Cyg Her Per Sco Sgr Peg Boo Gru
    for C in Ori Tau Gem CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg Per

    do
     if [ -f ../../$MoNDa/$C/$LA.pdf ] 
     then
     ln -sf ../../$MoNDa/$C/$LA.pdf  ${MoNDa}$C.pdf 
     fi
    done 
   done

   pdftk \
Jan20*.pdf \
Feb18*.pdf \
Mar19*.pdf \
Apr18*.pdf \
May18*.pdf \
Jun17*.pdf \
Jul16*.pdf \
Aug14*.pdf \
Sep13*.pdf \
Oct12*.pdf \
Nov11*.pdf \
Dec10*.pdf \
         cat output ${LA}.pdf
# the above list is an output of MonDa.sh 
   
  cd ..

 done

cd ..
