#!/bin/bash

# Makes symlinks to all.pdf files in the date/const directories

LC_ALL="C"

Ye=2020

mkdir constell
cd constell

#for C in Ori CMa Leo Crux Her Sco Sgr Cyg Gru Peg
for C in Ori Tau Gem CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg Per

do

 echo $C
for MoDa in \
01-20 \
02-18 \
03-19 \
04-18 \
05-18 \
06-17 \
07-16 \
08-14 \
09-13 \
10-12 \
11-11 \
12-10


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

  
  num=1
   if [ -f ../$MoNDa/$C/all.pdf ] 
   then
    echo $num
    ln -sf ../$MoNDa/$C/all.pdf $C$MoNDa.pdf
    num=$[$num+1]
   else 
    ls ../$MoNDa/$C/all.pdf
   fi
   

#  pdftk ?.pdf \
#   cat output ${C}${D}.pdf

#  rm  ?.pdf 
  
 done

done

cd ..
 
